{% extends "enquete2/base.html" %}
{% load static %}
{% block main %}
    
    <!-- MAIN -->
    <main role="main">
      <!-- Cabeçalho da Enquete -->
      <article>
        <header class="section background-dark">
          <div class="line">        
            <h1 class="text-white margin-top-bottom-30 text-size-50 text-line-height-1">{{ pergunta.texto }}</h1>
            <p class="margin-bottom-0 text-size-16">Data de publicação: {{ pergunta.data_publicacao }}.<br>
            Usuário: <b>{{ pergunta.usuario.login }}</b></a>
            (<i>{{ pergunta.usuario.email }}</i>)</p>
          </div>  
        </header>

        {% if error_message %}
        <div class="section background-white"> 
            <div class="line margin-bottom-30">
              <div class="margin">
                <div class="s-12 m-12 l-4 margin-m-bottom">
                  <div class="padding-2x block-bordered border-radius">
                    <div class="float-left hide-s">
                      <i class="icon-sli-info icon3x text-primary"></i>
                    </div>
                    <div class="margin-left-70 margin-s-left-0 margin-bottom">
                        <h3 class="margin-bottom-0">Erro:</h3>
                        <p><strong>{{ error_message }}</strong></p>               
                    </div>
                  </div>
                </div>
              </div>
            </div>
        </div>
        {% endif %}

        <div class="section background-white"> 
          <div class="line">
              <!-- Escolha de uma das Opções -->
              <div class="s-12 m-12 l-6">
                <h2 class="margin-bottom-10">Selecione a opção desejada:</h2>
                <form name="votacaoForm" class="customform" method="post" action="{% url 'enquete2:votacao' pergunta.id %}">
                {% csrf_token %}
                  <div class="line">
                    {% for opcao in pergunta.opcao_set.all %}
                    <div class="s-12"> 
                    
                      <div class="s-12 m-12 l-6">
                        <input name="opcao" type="radio" id="opcao{{ forloop.counter }}" value="{{ opcao.id }}"/>
                        <label for="opcao{{ forloop.counter }}">
                            {{ opcao.texto }}
                        </label>
                      </div>
                    
                    </div>
                    {% endfor %}  
                  </div>
                  <div class="s-12"><button class="s-12 submit-form button background-primary text-white" type="submit">Submeter Voto</button></div>
                </form>
              </div>  
          </div>  
        </div> 
      </article>
    </main>

{% endblock%}